%define	fontname	knm_new
%define	catalogue	%{_sysconfdir}/X11/fontpath.d

Name:		%{fontname}-fonts
Version:	1.1
Release:	5%{?dist}

Summary:	12x12 JIS X 0208 Bitmap font
Group:		User Interface/X
License:	GPL+

## the following upstream URL is a dead link anymore.
#URL:		http://www.din.or.jp/~storm/fonts/
#Source0:	http://www.din.or.jp/~storm/fonts/knm_new.tar.gz
Source0:	knm_new.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	mkfontdir fontpackages-devel

Requires:	fontpackages-filesystem
Conflicts:	fonts-japanese <= 0.20061016-11.fc8
Provides:	knm_new = 1.1-16
Obsoletes:	knm_new <= 1.1-16

%description
This package provides 12x12 Japanese bitmap font for JIS X 0208.
JIS X 0208 is a character set that contains Kanji characters mostly
often used.


%prep
%setup -q -T -c -a 0

%build

%install
rm -rf $RPM_BUILD_ROOT

install -m 0755 -d $RPM_BUILD_ROOT%{_fontdir}
install -m 0755 -d $RPM_BUILD_ROOT%{catalogue}

install -m 0644 -p fonts/*.pcf.gz $RPM_BUILD_ROOT%{_fontdir}/

%{_bindir}/mkfontdir $RPM_BUILD_ROOT%{_fontdir}

# Install catalogue symlink
%{__ln_s} -f %{_fontdir} $RPM_BUILD_ROOT%{catalogue}/%{fontname}


%clean
rm -rf $RPM_BUILD_ROOT

%_font_pkg *.pcf.gz
%lang(ja) %doc fonts/readme fonts/changes
%doc fonts/gtkrc.sample
%verify(not md5 size mtime) %{_fontdir}/fonts.dir
%{catalogue}/*


%changelog
* Thu Mar 26 2009 Akira TAGOH <tagoh@redhat.com> - 1.1-5
- Clean up a spec file.
- Rebuild to correct autoprovides (#491966)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct 30 2007 Akira TAGOH <tagoh@redhat.com> - 1.1-3
- Remove the upstream's dead link from the spec file. (#353941)

* Fri Sep  7 2007 Akira TAGOH <tagoh@redhat.com> - 1.1-2
- clean up

* Thu Aug 30 2007 Akira TAGOH <tagoh@redhat.com> - 1.1-1
- Split up from fonts-japanese.

